KIntSpinBox Class Reference

`#include <knuminput.h>`

Inherits QSpinBox.

## Public Member Functions

| KIntSpinBox (QWidget *parent=0, const char *name=0)
| KIntSpinBox (int lower, int upper, int step, int value, int base=10, QWidget *parent=0, const char *name=0)
virtual | ~KIntSpinBox ()
void | setBase (int base)
int | base () const
void | setEditFocus (bool mark)

## Protected Member Functions

virtual QString | mapValueToText (int)
virtual int | mapTextToValue (bool *)
virtual void | virtual_hook (int id, void *data)

## Properties

int | base

## Detailed Description

A QSpinBox with support for arbitrary base numbers.

A QSpinBox with support for arbitrary base numbers (e.g. hexadecimal).

The class provides an easy interface to use other numeric systems than the decimal.

Definition at line 704 of file knuminput.h.

## Constructor & Destructor Documentation

KIntSpinBox::KIntSpinBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Constructs a widget with an integer inputline with a little scrollbar and a slider, with minimal value 0, maximal value 99, step 1, base 10 and initial value 0.

Definition at line 204 of file knuminput.cpp.

KIntSpinBox::KIntSpinBox | ( | int | lower,
|  | int | upper,
|  | int | step,
|  | int | value,
|  | int | base = `10`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Constructor.

Constructs a widget with an integer inputline with a little scrollbar and a slider.

Parameters

  lower | The lowest valid value.
  upper | The greatest valid value.
  step | The step size of the scrollbar.
  value | The actual value.
  base | The base of the used number system.
  parent | The parent of the widget.
  name | The Name of the widget.

Definition at line 216 of file knuminput.cpp.

KIntSpinBox::~KIntSpinBox | ( |  | ) |

virtual

Destructor.

Definition at line 212 of file knuminput.cpp.

## Member Function Documentation

int KIntSpinBox::base | ( |  | ) | const

Returns
  the base in which numbers in the spin box are represented.

int KIntSpinBox::mapTextToValue | ( | bool * | ok | ) |

protected virtual

Overloaded the method in QSpinBox to make use of the base given in the constructor.

Definition at line 241 of file knuminput.cpp.

QString KIntSpinBox::mapValueToText | ( | int | v | ) |

protected virtual

Overloaded the method in QSpinBox to make use of the base given in the constructor.

Definition at line 236 of file knuminput.cpp.

void KIntSpinBox::setBase | ( | int | base | ) |

Sets the base in which the numbers in the spin box are represented.

Definition at line 225 of file knuminput.cpp.

void KIntSpinBox::setEditFocus | ( | bool | mark | ) |

sets focus and optionally marks all text

Definition at line 246 of file knuminput.cpp.

The documentation for this class was generated from the following files:

- knuminput.h
- knuminput.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys